GET /v1/reseller_stores/{rst_id}/source_stores/{id}

The Source Store object

A detailed look at the Source Store object and its attributes.

A source store represents a supplier’s Shopify store that fulfills orders routed from a reseller storefront. Each source store has a vendor tag that maps to line item vendors for automatic order routing.

Sensitive fields like accessTokenEncrypted and webhookSecret are never included in API responses.

The Source Store object

id string REQUIRED
resellerStoreId string REQUIRED
name string REQUIRED
platform string REQUIRED

Possible enum values:

  • shopify
  • woocommerce
  • custom
shopDomain string REQUIRED
vendorTag string REQUIRED
pricingMode string REQUIRED

Possible enum values:

  • percentage
  • field_rules
pricingConfig object REQUIRED

Pricing configuration. Shape depends on pricingMode.

createdAt string (date-time) REQUIRED
format: date-time
deletedAt string NULLABLE
request_id string REQUIRED

Response

{
  "id": "example_id",
  "resellerStoreId": "example_resellerStoreId",
  "name": "example_name",
  "platform": "shopify",
  "shopDomain": "example_shopDomain",
  "vendorTag": "example_vendorTag",
  "pricingMode": "percentage",
  "pricingConfig": {},
  "createdAt": "example_createdAt",
  "deletedAt": "example_deletedAt",
  "request_id": "example_request_id"
}